Name:           python-logdetective
Version:        0.2.0
Release:        %autorelease
Summary:        Uses LLM AI to search for build/test failure and provide ideas how to fix it

License:        Apache-2.0
URL:            https://pypi.org/project/logdetective/
Source:         %{pypi_source logdetective}
# https://github.com/fedora-copr/logdetective/pull/27
Patch:          0001-relax-the-dependency-on-progressbar2.patch

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A Python tool to analyze logs using a Language Model (LLM) and Drain template
miner.
}

%description %_description

%package -n     python3-logdetective
Summary:        %{summary}
Provides:       logdetective

%description -n python3-logdetective %_description


%prep
%autosetup -p1 -n logdetective-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'logdetective'


%check
%pyproject_check_import


%files -n python3-logdetective -f %{pyproject_files}
%{_bindir}/logdetective
%license LICENSE
%doc README.md

%changelog
%autochangelog
